header {
  background-color: rgb(192, 192, 192);
  position: relative;
  height: 120px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.card {
  all: unset;
  border-radius: 10px;
  border: 3px solid #eee;
  background-color: #fafafa;
  height: 40px;
  width: 180px;
  margin: 36px;
  padding: 10px;
  transition: all 0.2s ease-in-out;
  justify-content: space-around;
  align-items: center;
  cursor: pointer;
  font-size: 20px;
}

.card:hover {
  transform: translateY(-3px);
  box-shadow: 0 4px 17px rgba(25, 24, 24, 0.35);
}

svg {
  height: 24px;
  width: 24px;
  margin-right: 8px;
}

h2 {
  font-size: xxx-large;
  color: rgb(44, 16, 16);
  font-family: system-ui;
  margin: 22px;
  padding-bottom: 5px;
  text-align: center;
}

.deliverer-section{
  display: flex;
  margin: 32px auto;
  max-width: 960px;
  flex-direction: column;
  align-items: center;
}

.orders-container{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.single-order{
  background-color: #647f9b;
  border: 5px solid lightsteelblue;
  border-radius: 20px;
  color: #fff;
  font-family: system-ui;
  font-size: 14px;
  font-weight: 600;
  line-height: 20px;
  margin: 8px;
  padding: 10px; 
  position: relative;
  text-align: center;
}

.single-order h4{
  font-family: system-ui;    
  font-size: 20px;
  margin-bottom: 5px;
  color: white;
  font: 500px;
}

.item-name {
  background-color: #ffffff;
  border: 1px solid black;
  border-radius: 6px;
  box-shadow: rgba(27, 31, 35, .1) 0 1px 0;
  box-sizing: border-box;
  color: rgb(0, 0, 0);
  font-family: "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji";
  font-size: 14px;
  font-weight: 600;
  margin-top: 5px;
  padding: 10px 10px;
  position: relative;
  text-align: left;
  touch-action: manipulation;
  min-width: 235px;
}

.packed{
  text-decoration: line-through;
}

.fried {
  background-color: orange;
}

.finished-button {
  appearance: none;
  background-color: #2ea44f;
  border: 1px solid rgba(27, 31, 35, .15);
  border-radius: 6px;
  color: #fff;
  cursor: pointer;
  font-family: system-ui;
  font-size: 14px;
  font-weight: 600;
  margin-top: 5px;
  margin-left: 10px;
  padding: 6px 16px;
  position: relative;
  text-align: center;
}

.finished-button:focus:not(:focus-visible):not(.focus-visible) {
  box-shadow: none;
  outline: none;
}

.finished-button:hover {
  background-color: #2c974b;
}

.finished-button:focus {
  box-shadow: rgba(46, 164, 79, .4) 0 0 0 3px;
  outline: none;
}

.finished-button:disabled {
  background-color: #94d3a2;
  border-color: rgba(27, 31, 35, .1);
  color: rgba(255, 255, 255, .8);
  cursor: default;
}

.finished-button:active {
  background-color: #298e46;
  box-shadow: rgba(20, 70, 32, .2) 0 1px 0 inset;
}

.backward-button {
  appearance: none;
  background-color: #ff0000;
  border: 1px solid rgba(27, 31, 35, .15);
  border-radius: 6px;
  color: #fff;
  cursor: pointer;
  font-family: system-ui;
  font-size: 14px;
  font-weight: 600;
  margin-top: 5px;
  margin-left: 10px;
  padding: 6px 16px;
  position: relative;
  text-align: center;
  min-width: 86.58px;
}

.backward-button:focus:not(:focus-visible):not(.focus-visible) {
  box-shadow: none;
  outline: none;
}

.backward-button:hover {
  background-color: #a90e0e;
}

.backward-button:focus {
  box-shadow: rgba(144, 3, 3, 0.4) 0 0 0 3px;
  outline: none;
}

.backward-button:disabled {
  background-color: #ff0000;
  border-color: rgba(27, 31, 35, .1);
  color: rgba(255, 255, 255, .8);
  cursor: default;
}

.backward-button:active {
  background-color: #ff0000;
  box-shadow: rgba(20, 70, 32, .2) 0 1px 0 inset;
}

.deliver-to{
  font-size: medium;
  padding: 5px;
  margin: 5px;
}

.packed-item-button{
  appearance: none;
  background-color: #a42e88;
  border: 1px solid rgba(27, 31, 35, .15);
  border-radius: 6px;
  color: #fff;
  cursor: pointer;
  font-family: system-ui;
  font-size: 14px;
  font-weight: 600;
  margin-top: 5px;
  margin-left: 10px;
  padding: 6px 16px;
  position: relative;
  text-align: center;
}

.packed-item-button:hover {
  background-color: #eb20bb;
}

.packed-item-button:disabled {
  display: none;
  background-color: #751a60;
  border-color: rgba(27, 31, 35, .1);
  color: rgba(255, 255, 255, .8);
  cursor: default;
}

.packed-item-button:active {
  background-color: #a42e88;
  box-shadow: rgba(20, 70, 32, .2) 0 1px 0 inset;
}


@media screen and (max-width: 940px) {
  header {
      height: 50px;
  }
  svg {
      height: 15px;
      width: 15px;
      margin-right: 10px;
  }
  h2 {
      font-size: 25px;
  }
  .card {
      border-radius: 2px;
      border: 1px solid #eee;
      background-color: #fafafa;
      height: 30px;
      width: 140px;
      margin: 4px;
      padding: 8px;
      flex-direction: row;
      justify-content: center;
      display: flex;
      align-items: center;
      transition: all 0.2s ease-in-out;
      font-size: 15px;
  }
}